=== debian/control ===
Source: pure-gsl
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libgsl0-dev (>= 1.11)
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-gsl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GSL interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module for using the GNU Scientific
 Library in Pure.
 .
 Please note that this is work in progress, only some parts of the interface
 are finished right now. Here is a brief summary of the operations which are
 implemented:
 .
 - Matrix-scalar and matrix-matrix arithmetic
 - SVD (singular value decomposition)
 - Random distributions and statistic functions
 - Polynomial evaluation and roots
 - Linear least-squares fitting (multi-fitting is not available yet)
